> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync the company software catalog

> Trigger a resync of your company software catalog from the MDM provider (Fleet): refreshes the persisted software list and their per-device install state. Use this after changes made directly in the MDM provider are not yet reflected. To resync ONE device instead, use `syncDeviceSoftware`.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json post /software/sync
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/sync:
    post:
      tags:
        - Softwares
      summary: Sync the company software catalog
      description: >-
        Trigger a resync of your company software catalog from the MDM provider
        (Fleet): refreshes the persisted software list and their per-device
        install state. Use this after changes made directly in the MDM provider
        are not yet reflected. To resync ONE device instead, use
        `syncDeviceSoftware`.
      operationId: syncCompanySoftwares
      parameters: []
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncCompanySoftwaresResult_Output'
components:
  schemas:
    SyncCompanySoftwaresResult_Output:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          description: A human-readable description of the sync
      required:
        - success
        - message
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````